Difference between revisions of "Arch Rebar Circular ColumnReinforcement/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{docnav/it|Armatura elicoidale|Rinforzo di pilastro|Arch|IconL=Arch_Rebar_Helical.svg|IconC...")
(Updating to match new version of source page)
(7 intermediate revisions by one other user not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{docnav/it|[[Arch_Rebar_Helical/it|Armatura elicoidale]]|[[Arch_Rebar_ColumnReinforcement/it|Rinforzo di pilastro]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Helical.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_ColumnReinforcement.svg}}
 
{{docnav/it|[[Arch_Rebar_Helical/it|Armatura elicoidale]]|[[Arch_Rebar_ColumnReinforcement/it|Rinforzo di pilastro]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Helical.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_ColumnReinforcement.svg}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/it
 
{{GuiCommand/it
 
|Name=Arch Rebar ColumnReinforcement
 
|Name=Arch Rebar ColumnReinforcement
Line 10: Line 13:
 
|Version=0.19
 
|Version=0.19
 
}}
 
}}
 +
</div>
  
==Description==
+
==Descrizione==
  
Lo strumento [[Arch_Rebar_Circular_ColumnReinforcement/it|Rinforzo di colonna rotonda]] consente all'utente di creare delle barre di rinforzo all'interno di un oggetto [[Arch Structure/it|Struttura]] Colonna.
+
<div class="mw-translate-fuzzy">
 +
Lo strumento [[Arch_Rebar_Circular_ColumnReinforcement/it|Rinforzo di colonna]] consente all'utente di creare delle barre di rinforzo all'interno di un oggetto [[Arch Structure/it|Struttura]] Colonna.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Questo comando fa parte del addon [[Reinforcement Addon/it|Reinforcement]], che si può installare con [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
 
Questo comando fa parte del addon [[Reinforcement Addon/it|Reinforcement]], che si può installare con [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
 +
</div>
  
 
[[Image:Arch_Rebar_Circular_ColumnReinforcement_example.png|400px]]
 
[[Image:Arch_Rebar_Circular_ColumnReinforcement_example.png|400px]]
 +
<div class="mw-translate-fuzzy">
 
{{Caption|Rinforzo di colonna rotonda all'interno di una [[Arch Structure/it|Struttura]] colonna}}
 
{{Caption|Rinforzo di colonna rotonda all'interno di una [[Arch Structure/it|Struttura]] colonna}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
== Utilizzo ==
 
== Utilizzo ==
 +
</div>
  
1. Select top face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object. <br>
+
1. Select top face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object. <br>
 
2. Then select  {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar ColumnReinforcement|Column Reinforcement]]}} from the rebar tools. <br>
 
2. Then select  {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar ColumnReinforcement|Column Reinforcement]]}} from the rebar tools. <br>
 
3. A dialog box will pop-out on screen as shown below.
 
3. A dialog box will pop-out on screen as shown below.
Line 58: Line 70:
 
==Scripting==
 
==Scripting==
  
{{Emphasis|See also:}} [[Arch API]], [[Reinforcement API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
The ColumnReinforcement tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
The ColumnReinforcement tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
  
 
=== Create Circular Column Reinforcement ===
 
=== Create Circular Column Reinforcement ===
 +
 
{{Code|code=
 
{{Code|code=
 
RebarGroup = CircularColumn.makeReinforcement(
 
RebarGroup = CircularColumn.makeReinforcement(
Line 81: Line 94:
 
}}
 
}}
  
* Creates a {{incode|RebarGroup}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
+
* Creates a {{incode|RebarGroup}} object from the given {{incode|structure}}, which is an [[Arch Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
 
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
 
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
 
* {{incode|s_cover}}, {{incode|helical_rebar_t_offset}}, and {{incode|helical_rebar_b_offset}} are inner offset distances for the helical rebar with respect to the faces of the structure. They are respectively the side, top and bottom offsets.
 
* {{incode|s_cover}}, {{incode|helical_rebar_t_offset}}, and {{incode|helical_rebar_b_offset}} are inner offset distances for the helical rebar with respect to the faces of the structure. They are respectively the side, top and bottom offsets.
Line 93: Line 106:
  
 
==== Example ====
 
==== Example ====
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft, Arch
 
import FreeCAD, Draft, Arch
Line 121: Line 135:
 
=== Edition of Circular Column Reinforcement ===
 
=== Edition of Circular Column Reinforcement ===
 
You can change the properties of the halical and main rebars with the following function
 
You can change the properties of the halical and main rebars with the following function
 +
 
{{Code|code=
 
{{Code|code=
 
rebar_group = editReinforcement(
 
rebar_group = editReinforcement(
Line 144: Line 159:
 
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.
 
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.
  
==== Example ====
+
====Esempio====
 +
 
 
{{Code|code=
 
{{Code|code=
 
from ColumnReinforcement import CircularColumn
 
from ColumnReinforcement import CircularColumn
Line 166: Line 182:
 
}}
 
}}
  
{{docnav|[[Arch_Rebar_Helical|Helical Rebar]]|[[Arch_Rebar_ColumnReinforcement|ColumnReinforcement]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_Helical.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_ColumnReinforcement.svg}}
+
<div class="mw-translate-fuzzy">
 +
{{docnav/it|[[Arch_Rebar_Helical/it|Armatura elicoidale]]|[[Arch_Rebar_ColumnReinforcement/it|Rinforzo di pilastro]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Helical.svg|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_ColumnReinforcement.svg}}
 +
</div>
  
{{Arch Tools navi}}
+
{{Arch Tools navi/it}}
  
{{Userdocnavi}}
+
{{Userdocnavi/it}}
  
[[Category:Reinforcement]]
+
[[Category:Reinforcement/it]]

Revision as of 09:10, 4 February 2020

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Arch Rebar Helical.svg Armatura elicoidale Pagina precedente:
Pagina successiva: Rinforzo di pilastro Arch Rebar ColumnReinforcement.svg Arrow-right.svg

Arch Rebar ColumnReinforcement.svg Rinforzo di colonna

Posizione nel menu
Arch → Strumenti armatura
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Rinforzo di colonna con 2 staffe e 6 barre, Armatura


Descrizione

Lo strumento Rinforzo di colonna consente all'utente di creare delle barre di rinforzo all'interno di un oggetto Struttura Colonna.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar Circular ColumnReinforcement example.png

Rinforzo di colonna rotonda all'interno di una Struttura colonna

Utilizzo

1. Select top face of a previously created Arch Structure.svg Arch Structure object.
2. Then select Arch Rebar ColumnReinforcement.svg Column Reinforcement from the rebar tools.
3. A dialog box will pop-out on screen as shown below.

ColumnReinforcementDialog Ties.png

Dialog Box for the Arch Rebar ColumnReinforcement tool


4. Select the Circular Column radio button in column reinforcement dialog.

CircularColumnReinforcementDialog.png

Dialog Box for Circular Column Reinforcement


5. Give inputs for data related to circular column reinforcement.
6. Click OK or Apply to generate circular column reinforcement.

7. Click Cancel to exit the dialog box.


Properties

Helical Rebars:

  • DataSide Cover: The distance between rebar to the curved face.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DataDiameter: Diameter of the rebar.

Main Rebars:

  • DataTop Offset: The distance between rebars from the top face of the structure.
  • DataBottom Offset: The distance between rebars from the bottom face of the structure.
  • DataDiameter: Diameter of the main rebars.
  • DataNumber: The number of main rebars.
  • DataAngle: The angular distance between ties.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The ColumnReinforcement tool can be used in macros and from the Python console by using the following function:

Create Circular Column Reinforcement

RebarGroup = CircularColumn.makeReinforcement(
    s_cover,
    helical_rebar_t_offset,
    helical_rebar_b_offset,
    pitch,
    dia_of_helical_rebar,
    main_rebars_t_offset,
    main_rebars_b_offset,
    dia_of_main_rebars,
    number_angle_check,
    number_angle_value,
    structure=None,
    facename=None,
)
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, helical_rebar_t_offset, and helical_rebar_b_offset are inner offset distances for the helical rebar with respect to the faces of the structure. They are respectively the side, top and bottom offsets.
  • pitch is the parameter that determines how close or far apart each helical loop is to each other.
  • dia_of_helical_rebar is the diameter of the helical rebar inside the structure.
  • main_rebars_t_offset and main_rebars_b_offset are inner offset distances for the main rebars with respect to the top and bottom faces of the structure, respectively.
  • dia_of_main_rebars is the diameter of the main rebars.
  • number_angle_check if it is True it will create as many main rebars as given by number_angle_value; if it is False it will create main rebars at an angle of number_spacing_value, specified in degrees.
  • number_angle_value specifies the number of main rebars, or the value of the angle between the main rebars, depending on number_angle_check.


Example

import FreeCAD, Draft, Arch
from ColumnReinforcement import CircularColumn

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

RebarGroup = CircularColumn.makeReinforcement(
    s_cover=20,
    helical_rebar_t_offset=40,
    helical_rebar_b_offset=40,
    pitch=50,
    dia_of_helical_rebar=8,
    main_rebars_t_offset=20,
    main_rebars_b_offset=20,
    dia_of_main_rebars=16,
    number_angle_check=True,
    number_angle_value=6,
    structure=Structure,
    facename="Face3",
).rebar_group

Edition of Circular Column Reinforcement

You can change the properties of the halical and main rebars with the following function

rebar_group = editReinforcement(
    rebar_group,
    s_cover,
    helical_rebar_t_offset,
    helical_rebar_b_offset,
    pitch,
    dia_of_helical_rebar,
    main_rebars_t_offset,
    main_rebars_b_offset,
    dia_of_main_rebars,
    number_angle_check,
    number_angle_value,
    structure=None,
    facename=None,
)
  • rebar_group is a previously created ColumnReinforcement group object.
  • The other parameters are the same as required by the makeSingleTieFourRebars() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Esempio

from ColumnReinforcement import CircularColumn

rebar_group = CircularColumn.editReinforcement(
    rebar_group,
    s_cover=30,
    helical_rebar_t_offset=30,
    helical_rebar_b_offset=30,
    pitch=60,
    dia_of_helical_rebar=10,
    main_rebars_t_offset=-30,
    main_rebars_b_offset=-30,
    dia_of_main_rebars=18,
    number_angle_check=False,
    number_angle_value=45,
    structure=Structure,
    facename="Face3",
)
Arrow-left.svg Arch Rebar Helical.svg Armatura elicoidale Pagina precedente:
Pagina successiva: Rinforzo di pilastro Arch Rebar ColumnReinforcement.svg Arrow-right.svg